( tr3w | 2007. 06. 08., p - 20:27 )

"libtorrentre ami kell a qbittorrenthez pl. kell neki a boost.. nem ertem maskepp is meglehetett volna oldani mint masok meg is tettek"

Persze, igazából megírhatnának mindent úgy, hogy csak glibc kell, vagy az se, csak csinálja ezt az akinek két anyja van. Tehát azért használnak Boostot, mert azzal egyszerűbb volt mint anélkül, vagy mint bármi mással.

Egyébként meg májusban jött ki az 1.34-es Boost, ahol az van írva, hogy:


Supported Compilers:
GNU C++ 
     3.2.x., 3.3.x, 3.4.x, 4.0.x, 4.1.x on Linux 
     4.1.x on Solaris 
Sun Studio 11 on Solaris.

Szerintem tégy egy újabb próbát.
(Mellesleg én sose szenvedtem Solarissal, de aki igen, az szerintem boldog lenne, ha csak a boost nem menne rajta... Tehát a Solaris miatt megvonni a cross-platform státuszt hááát...
Amúgy két platformos cucc már cross-platform.)

"...handing C++ to the average programmer seems roughly comparable to handing a loaded .45 to a chimpanzee."
-- Ted Ts'o